{% extends "@Contao/content_element/_base.html.twig" %}

{% block wrapper %}

    {% if data.dataSal|default %}
        {% add to head %}
            <link rel="stylesheet" href="/bundles/contaoscrollanimation/sal.css">
        {% endadd %}
        {% add to body %}
            <script src="/bundles/contaoscrollanimation/sal.js"></script>
            <script>
              sal({threshold:0.5});
            </script>
        {% endadd %}
        {% set attributes = attrs(attributes|default)
            .set('data-sal', data.dataSal)
            .set('data-sal-duration', data.dataSalDuration|default(500))
            .setIfExists('data-sal-delay', data.dataSalDelay|default)
            .set('data-sal-easing', data.dataSalEasing|default('ease-in-out'))
        %}
        {% if data.dataSalRepeat|default %}
            {% set attributes = attrs(attributes|default)
                .set('data-sal-repeat')
            %}
        {% endif %}
    {% endif %}

    {{ parent() }}

{% endblock %}
